From 0b345200c3da6d0fd47c3d67cbdf9cb9b643d7bb Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 9 Dec 2023 18:32:53 +0000
Subject: [PATCH 50/54] feat: use scale for clock/voltage adjustments instead
 of spinbutton

---
 .../app/root_stack/oc_page/clocks_frame.rs    | 29 ++++++-------------
 1 file changed, 9 insertions(+), 20 deletions(-)

diff --git a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
index 45dafbbc..d2bf3391 100644
--- a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
+++ b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
@@ -348,28 +348,17 @@ fn extract_value_and_range(
 fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<AtomicBool>, Widget) {
     let adjustment = Adjustment::new(0.0, 0.0, 0.0, 1.0, 10.0, 0.0);
 
-    #[cfg(feature = "adw")]
-    let value_selector = adw::SpinRow::builder()
-        .title(title)
+    let value_selector = Scale::builder()
         .adjustment(&adjustment)
+        .orientation(Orientation::Horizontal)
+        .hexpand(true)
+        .valign(Align::Center)
+        .value_pos(PositionType::Right)
+        .draw_value(true)
         .build();
-    #[cfg(feature = "adw")]
-    listbox.append(&value_selector);
-    #[cfg(feature = "adw")]
-    let widget = value_selector.clone();
-
-    #[cfg(not(feature = "adw"))]
-    let (widget, value_selector) = {
-        let spin_btn = SpinButton::builder()
-            .adjustment(&adjustment)
-            .valign(Align::Center)
-            .build();
-        let row = action_row(title, None, &[&spin_btn], None);
-
-        listbox.append(&row);
+    let row = action_row(title, None, &[&value_selector], None);
 
-        (row, spin_btn)
-    };
+    listbox.append(&row);
 
     let changed = Rc::new(AtomicBool::new(false));
 
@@ -382,7 +371,7 @@ fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<Atom
         }
     ));
 
-    (adjustment, changed, widget.upcast::<Widget>())
+    (adjustment, changed, row.upcast::<Widget>())
 }
 
 #[derive(Debug, Default)]

